"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = require("path");
const fs_1 = require("./utils/fs");
function default_1(ctx) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        if (ctx.name !== 'build:after' || ctx.build.engine !== 'cordova') {
            return;
        }
        const indexPath = path.resolve(ctx.project.srcDir, 'index.html');
        const origIndexPath = path.resolve(ctx.project.srcDir, 'index.html.orig');
        const origIndexContents = yield fs_1.readFile(origIndexPath);
        yield fs_1.writeFile(indexPath, origIndexContents);
        yield fs_1.unlink(origIndexPath);
    });
}
exports.default = default_1;
